Subject: Re: [RRG] GSE History

From: Peter Sherbin <[email-masked]>
Date: Wed, 11 Jun 2008 18:21:02 -0700 (PDT)

> The chances of getting them to accept any further
> change that is visible *above* the network layer are pretty slim.

It seems that the core of the discussion assumes a node being a PC/PC-like device. Over the last 30+ years the network has probably evolved to a qualitatively new stage.

For the luck of a better analogy consider a live cell that is managed from a nucleus by DNA. Essentially DNA is a database recording all the info one may need to build proteins and then to assemble even more complex structures from proteins. Observing repeatedly the unity of the universe I see no reason why the network should be any different from a living organizm.

I.e. if an application drives the rest of the activity on the network an instance of that application in a communicating device must bear a globally unique identifier. IPv6 address or a part of it looks capacitive enough to become just that. If that requires a swiping change to the current mode of operations, so what? Obviously there is a good chance that more of the current mode will be re-used.

Thanks,

Peter

--- On Wed, 6/11/08, Brian E Carpenter <[email-masked]> wrote:

> From: Brian E Carpenter <[email-masked]>
> Subject: Re: [RRG] GSE History
> To: [email-masked]
> Cc: "'RJ Atkinson'" <[email-masked]>, "'IRTF Routing RG'" <[email-masked]>
> Date: Wednesday, June 11, 2008, 7:48 PM
> On 2008-06-12 11:03, Tony Li wrote:
> >  
> > 
> > |Of course, that was a long story in itself but I
> think
> > |people were deeply concerned about several points,
> and
> > |the proponents of 8+8 didn't answer those points
> > |(well, not until quite recently). And meanwhile, a
> lot
> > |of Classic IPv6 code has shipped, so software inertia
> > |has appeared.
> > 
> > 
> > Of course, you also have to wonder just how much
> inertia there is when the
> > predominant implementation can't do DNS over v6. 
> ;-)
> > 
> > I, for one, am to the point where all claims of
> "we can't change" are simply
> > folks trying to justify "we don't want
> change".  Sorry, non-starter.  This
> > is life and change is inevitable.  Unless you're
> still using a telegraph key
> > as your primary data communications tool, you're
> capable of change.
> 
> I agree that we must not reject change. However, ten years
> of IPv6
> promotion, and a few government mandates, have been needed
> to get
> the applications industry to the point where they have
> already replaced,
> or are in the process of replacing, the network interface
> code in
> their applications. The chances of getting them to accept
> any further
> change that is visible *above* the network layer are pretty
> slim.
> 
> To be clear, I'm not talking about operating system
> stacks - those
> are provably updateable by the service pack mechanism or
> equivalent.
> I'm talking (once again) about any change that affects
> the socket API.
> I think that's a selection criterion when we get to
> picking a
> recommendation.
> 
>     Brian
> 
> --
> to unsubscribe send a message to [email-masked] with
> the
> word 'unsubscribe' in a single line as the message
> text body.
> archive: <http://psg.com/lists/rrg/> &
> ftp://psg.com/pub/lists/rrg

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg